DCMTK - Conformance #935

Add support for official "UID keywords" introduced with CP-1995
2020-05-26 12:59 - Jorg Riesmeier

Status: Closed Start date: 2020-05-26
Priority: Normal Due date:

Assignee: Jorg Riesmeier % Done: 100%
Category: Library Estimated time: 10:00 hours

Target version:

Module: dcmdata Compiler:

Operating System:

Description

CP-1995 (currently "Voting Package") will introduce official keywords for all non-retired UIDs that are defined in DICOM PS3.6.
These official keywords should also be added to the DCMTK, i.e. in addition to the DCMTK-specific "keywords" (which should not be
changed for reasons of backward compatibility).

Related issues:
Related to DCMTK - Feature #943: Introduce central place where new SOP Classe... New 2020-08-24

History

#1 - 2020-09-22 10:59 - J6rg Riesmeier
CP-1995 has been approved for "Final Text". The changes will also be incorporated into DICOM 2020d (see PS3.6).

#2 - 2022-06-15 20:45 - J6rg Riesmeier

- Related to Feature #943: Introduce central place where new SOP Classes are defined added

#3 - 2022-10-13 16:16 - Jorg Riesmeier
- Status changed from New to Closed

- Assignee set to Jorg Riesmeier

- % Done changed from 0 to 100

- Estimated time set to 10:00 h

#4 - 2022-10-13 18:08 - J6rg Riesmeier

See commit 51be018ea.
